NodeLabelsStoreEventType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.nodelabels.event, enum: NodeLabelsStoreEventType

Package org.apache.hadoop.yarn.nodelabels.event

# Enum Class NodeLabelsStoreEventType

java.lang.Object
java.lang.Enum<NodeLabelsStoreEventType>
org.apache.hadoop.yarn.nodelabels.event.NodeLabelsStoreEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeLabelsStoreEventType>`, `Constable`

public enum NodeLabelsStoreEventType extends Enum<NodeLabelsStoreEventType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADD_LABELS`
  `REMOVE_LABELS`
  `STORE_NODE_TO_LABELS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NodeLabelsStoreEventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NodeLabelsStoreEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REMOVE_LABELS

    public static final NodeLabelsStoreEventType REMOVE_LABELS

  - ### ADD_LABELS

    public static final NodeLabelsStoreEventType ADD_LABELS

  - ### STORE_NODE_TO_LABELS

    public static final NodeLabelsStoreEventType STORE_NODE_TO_LABELS

- ## Method Details

  - ### values

    public static NodeLabelsStoreEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NodeLabelsStoreEventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null